/*
* Name: altai_off
* Title: Altai Off
* Version: v1.0.5
* Description: Disable anchor href attributes.
*
*/

(function($, window, document) {
  return $.fn.extend({
    altaiOff: function(options) {
      var action, log, object, settings;
      // Default settings
      object = $(this);
      settings = {
        debug: false
      };
      settings = $.extend(settings, options);
      // Log
      log = function(message) {
        if (settings.debug) {
          if (typeof ((console === "undefined") && (console === null))) {
            return console.log(message);
          } else {
            return undefined;
          }
        } else {
          return undefined;
        }
      };
      // Action
      action = function() {
        object.each(function() {
          $(this).on("click", function(e) {
            e.preventDefault();
            log("Off Activated");
            return;
          });
        });
      };
      // If object found run actions
      if (object.length > 0) {
        return this.each(function() {
          action();
        });
      }
    }
  });
})(jQuery, window, document);
